主页 > 楼讯 > 正文

哈工大年夜言语云平台LTP的装置和Python应用

文章来源:原创 发布时间:2020-04-12 05:27


  参考文档:

  官方文档https://github.com/HIT-SCIR/pyltp

  装置:

  第一步:

  装置 pyltp

  两种方法:

  1.应用 pip 装置

  $ pip install pyltp

  2.源代码装置

  $ git clone https://github.com/HIT-SCIR/pyltp

  $ git submodule init

  $ git submodule update

  $ python setup.py install # Mac系统出现版本后果应用 MACOSX_DEPLOYMENT_TARGET=10.7 python setup.py install

  第二步:

  下载模型文件

  网址:https://pan.baidu.com/share/link?shareid=1988562907&uk=2738088569#list/path=%2F

  留心pyltp的版本与模型文件的版本需求不合

  我踩过的坑:

  模型与pyltp版本后果

  pyltp 版本:0.2.1 模型版本:3.4.0

  每个模型都报错 Model not loaded!

  因为是可以import pyltp 因此必然是版本的后果

  因而测验测验了模型版本3.3.1 和模型版本3.3.0、和pyltp版本0.1.9.1

  在一些组合下,局部模型报异常 Model not loaded!

  终究胜利的组合是 :

  pyltp版本 0.1.9.1

  模型版本:3.3.1

  示例以下(示例是源码中的example.py):

  结果以下:

  中国

  进出口

  银行

  与

  中国银行

  增强

  协作

  。

  ns

  v

  n

  p

  ni

  v

  v

  wp

  3:ATT

  3:ATT

  6:SBV

  6:ADV

  4:POB

  0:HED

  6:VOB

  6:WP

  B-Ni

  I-Ni

  E-Ni

  O

  S-Ni

  O

  O

  O



相关资讯: